Bug 772501 - As a translator I want the suggestions from the Translation Memory to have designated shortcut keys so that I can copy them as translations through the keyboard
As a translator I want the suggestions from the Translation Memory to have de...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.5
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alex Eng
Ding-Yi Chen
: UserStory
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-08 17:36 EST by Alex Eng
Modified: 2012-04-23 00:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-23 00:33:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Eng 2012-01-08 17:36:01 EST
As a translator I want the suggestions from the Translation Memory to have designated shortcut keys so that I can copy them as translations through the keyboard

Restricted to the top 4 entries at the moment. Lokalize provides Ctrl+1/2/3/4 for the first 4 entries.
http://www.openjs.com/scripts/events/keyboard_shortcuts/
Comment 1 Alex Eng 2012-01-08 18:45:33 EST
CTRL + (1,2,3,4) is taken by chrome for moving round tabs. 
Shortcut key replaced with CTRL + Shift + (1,2,3,4) 

Implemented in 1.5. See
https://github.com/zanata/zanata/commit/ee9c1a4769b6fe5b852add96bbc6017b4037fffa
Comment 2 David Mason 2012-01-30 23:28:42 EST
Added shortcut keys to tooltips on copy links.

See https://github.com/zanata/zanata/commit/bbdbd61bce0d4093c97510122f132d3dd5350ebc
Comment 3 David Mason 2012-01-31 02:46:46 EST
verified in 1.5

Note You need to log in before you can comment on or make changes to this bug.